<!--Header-->
<%@ include file="/includes/header.jsp" %>

<!--Barra de navegacin-->
<%@ include file="/includes/nav.jsp" %>


<!--Pgina-->
<%@ page import="Dominio.Curso" %>
<%Curso curso = (Curso) request.getAttribute("curso");%>

<div class="container">
    <div class="col-md-12">
        <form id="formulario" class="form-horizontal" action="<%if (curso != null) {%>edit<%} else {%>new<%}%>" method="POST">
                
            <%if (curso!=null) {%>
                <input type="hidden" name="curso" id="curso" value="<%= curso.getId() %>" />
            <%}%>
                
            <!-- Text input NOMBRE-->
            <div class="form-group">
                <label class="col-md-4 control-label" for="textinput">Nombre</label>  
                <div class="col-md-4">
                    <input id="nombre" name="nombre" type="text" placeholder="Nombre del tutorial" class="form-control input-md" <%if (curso != null) {%>value="<%=curso.getNombre()%>"<%}%> required>
                </div>
            </div>

            <!-- Textarea DESCRIPCIN-->
            <div class="form-group">
                <label class="col-md-4 control-label" for="textarea">Descripcin</label>
                <div class="col-md-4">                     
                    <textarea class="form-control" id="descripcion" name="descripcion" placeholder="Breve descripcin del tutorial" maxlength="850" rows="8"><%if (curso != null && curso.getDescripcion() != null) {%><%=curso.getDescripcion()%><%}%></textarea>
                </div>
            </div>

            <!-- URL input MINIATURA-->
            <div class="form-group">
                <label class="col-md-4 control-label" for="miniatura">Miniatura</label>  
                <div class="col-md-4">
                    <input id="miniatura" type="text" class="form-control" name="miniatura" placeholder="URL imagen" pattern="^https?://(?:[a-z0-9\-]+\.)+[a-z]{2,6}(?:/[^/#?]+)+\.(?:gif|jpg|jpeg|tiff|png)$" title="La URL de la imagen debe acabar en .jpg, .gif o .png" <%if (curso != null && curso.getMiniatura() != null) {%>value="<%=curso.getMiniatura()%>"<%}%>/>
                    <p class="help-block"><i class="glyphicon glyphicon-info-sign"></i>&nbspRecomendado 200px x 200px</p>
                </div>
            </div>

            <!-- Button GUARDAR CAMBIOS-->
            <div class="form-group">
                <div class="col-md-4 col-md-offset-4">
                    <input type="submit"  value="<%if(curso!=null){%>Guardar Cambios<%}else{%>Crear tutorial<%}%>" class="btn btn-primary">
                </div>
            </div>

        </form>
    </div>
</div>

                
<!--Footer-->
<%@ include file="/includes/footer.jsp" %>