<%@ page import="Dominio.Usuario" %>
<% Usuario user = (Usuario) session.getAttribute("user"); %>

<!-- Barra navegacin -->
        <nav class="navbar navbar-default">
            <div class="container-fluid">
                <!-- Logo y men para dispositivos mviles -->
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
                        <span class="sr-only">Toggle navigation</span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                    <a class="navbar-brand" href="home">
                        <img src="img/logo.png" height="25" alt="Logo">
                    </a>
                </div>

                <!-- Mens de la barra de navegacin -->
                <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                    <ul class="nav navbar-nav navbar-right">
                        <%if (user.getRol().getId() == 0){ %>    
                            <li><a href="admin">Men administrador</a></li>
                        <%}else if (user.getRol().getId() == 1){ %>
                            <li><a href="progress">Men profesor</a></li>
                        <%}%>    
                        <li class="dropdown">
                            <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true">Hola, <b><%= user.getNombre()%></b> <span class="caret"></span></a>
                            <ul class="dropdown-menu">
                                <li><a href="profile">Perfil</a></li>
                                <li><a href="profile?edit">Ajustes</a></li>
                                <li class="divider"></li>
                                <li><a href="logout">Cerrar sesin</a></li>
                            </ul>
                        </li>
                    </ul>
                </div><!-- /.navbar-collapse -->
            </div><!-- /.container-fluid -->
        </nav>