
<!--Header-->
<%@ include file="/includes/header.jsp" %>

<!--Barra de navegacin-->
<%@ include file="/includes/nav.jsp" %>

<%@page import="java.text.DecimalFormat"%>
<%@ page import="Dominio.Matricula" %>
<%List<Usuario> alumnos = (List<Usuario>) request.getAttribute("alumnos");%>

<div class="container">
    <div class="col-md-12">
        <div class="table-responsive">

                <!--TABLA DE LISTADO DE ALUMNOS-->
                <table id="mytable" class="table table-striped">

                        <!--cabecera-->
                    <thead>
                        <th>Alumno</th>
                        <th>Perfil</th>
                        <th>Nota media</th>
                    </thead>
                    
                    <!--cuerpo de la tabla-->
                    <tbody>
                        <%for(Usuario a : alumnos){%>
                            <tr>
                                <td><%=a.getNombre()%> <%=a.getApellidos()%></td>

                                <td><a href="profile?login=<%=a.getLogin()%>" class="btn btn-primary btn-xs" data-toggle="tooltip" title="Ver perfil del alumno"><span class="glyphicon glyphicon-user"></span></a></td>

                                
                                <% //  Calculo de la nota media
                                    int nota = 0, n = 0;
                                    Collection<Matricula> matriculas = a.getMatriculaCollection();
                                    for (Matricula m : matriculas) {
                                        if (m.getNota() != null) {
                                            nota += m.getNota();
                                            n++;
                                        }
                                    }
                                %>
                                <!--CALIFICACIONES-->
                                <td>
                                    <% if (n == 0) {%>
                                        <span class="label label-default" style="font-size:8pt; vertical-align: middle;">No disponible</span>
                                    <%} else {
                                        float score = (float) nota / n;
                                        if (score >= 0 && score < 5) {%>
                                            <span class="label label-danger" style="font-size:8pt; vertical-align: middle;">Suspenso - <%=new DecimalFormat("#.##").format(score)%></span>
                                        <%} else if (score >= 5 && score < 6) {%>
                                            <span class="label label-warning" style="font-size:8pt; vertical-align: middle;">Aprobado - <%=new DecimalFormat("#.##").format(score)%></span>
                                        <%} else if (score >= 6 && score < 7) {%>
                                            <span class="label label-info" style="font-size:8pt; vertical-align: middle;">Bien - <%=new DecimalFormat("#.##").format(score)%></span>
                                        <%} else if (score >= 7 && score < 9) {%>
                                            <span class="label label-primary" style="font-size:8pt; vertical-align: middle;">Notable - <%=new DecimalFormat("#.##").format(score)%></span>
                                        <%} else if (score >= 9) {%>
                                            <span class="label label-success" style="font-size:8pt; vertical-align: middle;">Sobresaliente - <%=new DecimalFormat("#.##").format(score)%></span>
                                        <%}
                                    }%>
                                </td>
                            </tr>
                        <%}%>
                    </tbody>
                </table>
    </div>
</div>

<script>
    $(document).ready(function(){
        $('[data-toggle="tooltip"]').tooltip();   
    });
</script>    

<!--Footer-->
<%@ include file="/includes/footer.jsp" %>