/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Dominio;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.Lob;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.OneToOne;
import javax.persistence.Table;

/**
 *
 * @author aleja
 */
@Entity
@Table(name = "teoria")
@NamedQueries({
    @NamedQuery(name = "Teoria.findAll", query = "SELECT t FROM Teoria t"),
    @NamedQuery(name = "Teoria.findByIdAptdo", query = "SELECT t FROM Teoria t WHERE t.idAptdo = :idAptdo"),
    @NamedQuery(name = "Teoria.findByIdCurso", query = "SELECT t FROM Teoria t WHERE t.idCurso = :idCurso")})
public class Teoria implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @Column(name = "id_aptdo")
    private Integer idAptdo;
    @Basic(optional = false)
    @Column(name = "id_curso")
    private int idCurso;
    @Basic(optional = false)
    @Lob
    @Column(name = "texto")
    private String texto;
    @JoinColumn(name = "id_aptdo", referencedColumnName = "id", insertable = false, updatable = false)
    @OneToOne(optional = false)
    private Apartado apartado;

    public Teoria() {
    }

    public Teoria(Integer idAptdo) {
        this.idAptdo = idAptdo;
    }

    public Teoria(Integer idAptdo, int idCurso, String texto) {
        this.idAptdo = idAptdo;
        this.idCurso = idCurso;
        this.texto = texto;
    }

    public Integer getIdAptdo() {
        return idAptdo;
    }

    public void setIdAptdo(Integer idAptdo) {
        this.idAptdo = idAptdo;
    }

    public int getIdCurso() {
        return idCurso;
    }

    public void setIdCurso(int idCurso) {
        this.idCurso = idCurso;
    }

    public String getTexto() {
        return texto;
    }

    public void setTexto(String texto) {
        this.texto = texto;
    }

    public Apartado getApartado() {
        return apartado;
    }

    public void setApartado(Apartado apartado) {
        this.apartado = apartado;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (idAptdo != null ? idAptdo.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Teoria)) {
            return false;
        }
        Teoria other = (Teoria) object;
        if ((this.idAptdo == null && other.idAptdo != null) || (this.idAptdo != null && !this.idAptdo.equals(other.idAptdo))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "Dominio.Teoria[ idAptdo=" + idAptdo + " ]";
    }
    
}
