<!--Header-->
<%@ include file="/includes/header.jsp" %>

<!--Barra de navegacin-->
<%@ include file="/includes/nav.jsp" %>


<!--Pgina-->
<%@ page import="Dominio.Curso" %>
<%@ page import="Dominio.Matricula" %>
<% List<Curso> cursos = (List<Curso>) request.getAttribute("cursos");
   Collection<Matricula> matriculas = user.getMatriculaCollection();
   %>



<% if(user.getRol().getId() <= 1) {%>
<!--CREAR NUEVO TUTORIAL-->
    <div class="container">
        <div class="col-md-12">
            <span class="pull-right">
                <a href="edit" class="btn btn-default" role="button">Nuevo tutorial &nbsp;<i class="glyphicon glyphicon-plus"></i></a>
            </span>
        </div>
    </div>
    <br><br/>
<%}%>

<!--LISTADO DE TUTORIALES-->
<% for(int i = 0; i < cursos.size(); i++){
    if(cursos.get(i).getActivo() || user.getRol().getId() <= 1) {%>
        <div class="container">
            <div class="col-md-12">
                <div class="panel panel-default" <%if (!cursos.get(i).getActivo()){%>style="background: #f0f0f0;" <%}%>>
                    <div class="panel-body">
                        <div class="media">
                            <!--MINIATURA-->
                            <div class="media-left">
                                <a href="tutorial?id=<%=cursos.get(i).getId()%>">
                                    <img class="media-object" src="<%= cursos.get(i).getMiniatura() %>" alt="" height=200 width=200>
                                </a>
                            </div>
                            <div class="media-body">
                                <h3 class="media-heading">
                                    <!--NOMBRE TUTORIAL-->
                                    Tutorial n <%=cursos.get(i).getNumero()%>: <%=cursos.get(i).getNombre()%>
                                    
                                    <!--BOTONES-->
                                    <span class="pull-right">
                                        <%boolean start = true;
                                        int score = -1;
                                        for(Matricula m : matriculas){
                                            if(m.getCurso().getId() == cursos.get(i).getId()){
                                                if(m.getCompletado()){%>
                                                    <!--REPETIR TUTORIAL-->
                                                    <a href="tutorial?id=<%=cursos.get(i).getId()%>" class="btn btn-success" role="button">Repetir</a>
                                                <%}else{%>
                                                    <!--CONTINUAR TUTORIAL-->
                                                    <a href="tutorial?id=<%=cursos.get(i).getId()%>" class="btn btn-info" role="button">Continuar</a>
                                                <%}
                                                start = false;
                                                if(m.getNota() != null){
                                                    score = m.getNota();
                                                }
                                                break;
                                            }
                                        }
                                        if(start == true){%>
                                            <!--EMPEZAR TUTORIAL-->
                                            <a href="tutorial?id=<%=cursos.get(i).getId()%>" class="btn btn-primary" role="button">Empezar</a>
                                        <%}%>
                                        
                                        <% if (user.getRol().getId() <= 1) { %>
                                            <!--EDITAR TUTORIAL-->
                                            <a href="tutorial?id=<%=cursos.get(i).getId()%>&edit" class="btn btn-default" role="button" style="width: 45px;" data-toggle="tooltip" title="Editar tutorial"><span class="glyphicon glyphicon-pencil"></span></a>
                                            
                                            <% if (user.getRol().getId() == 1) { %>
                                                <!--REALIZAR SEGUIMIENTO DEL TUTORIAL-->
                                                <a href="progress?id=<%=cursos.get(i).getId()%>" class="btn btn-default" role="button" style="width: 45px;" data-toggle="tooltip" title="Seguimiento tutorial"><span class="glyphicon glyphicon-education"></span></a>
                                            <%}%>                                     
                                            
                                            <a href="tutorial?id=<%=cursos.get(i).getId()%>&hide" class="btn btn-default" role="button" style="width: 45px;" data-toggle="tooltip" title="<%if(cursos.get(i).getActivo()){%>Ocultar tutorial<%}else{%>Desocultar tutorial<%}%>">
                                            <%if (cursos.get(i).getActivo()) {%>
                                                <!--OCULTAR TUTORIAL-->
                                                <span class="glyphicon glyphicon-eye-open"></span>
                                            <%}else{ %>
                                                <!--DESOCULTAR TUTORIAL-->
                                                <span class="glyphicon glyphicon-eye-close"></span>
                                            <%}%>
                                            </a>   
                                            
                                            <span class = "btn-group">
                                                <!--REORDENAR TUTORIAL-->
                                                <a href="tutorial?id=<%=cursos.get(i).getId()%>&up" class="btn btn-default <%if (cursos.get(i).getNumero()<=1){%>disabled<%}%>" role="button" style="width: 40px;"><span class="glyphicon glyphicon-chevron-up"></span></a>
                                                <a href="tutorial?id=<%=cursos.get(i).getId()%>&down" class="btn btn-default <%if (cursos.get(i).getNumero()>=cursos.size()){%>disabled<%}%>" role="button" style="width: 40px;"><span class="glyphicon glyphicon-chevron-down"></span></a>
                                            </span>
                                        <%}%>
                                    </span>
                                    <span>
                                        <%if(score > -1){%>
                                            <!--CALIFICACIN DEL TUTORIAL-->
                                            <%if(score >= 0 && score < 5){%>
                                                <span class="label label-danger" style="font-size:8pt; vertical-align: middle;">Suspenso - <%=score%></span>
                                            <%}else if(score == 5){%>
                                                <span class="label label-warning" style="font-size:8pt; vertical-align: middle;">Aprobado - <%=score%></span>
                                            <%}else if(score == 6){%>
                                                <span class="label label-info" style="font-size:8pt; vertical-align: middle;">Bien - <%=score%></span>
                                            <%}else if(score >= 7 && score < 9){%>
                                                <span class="label label-primary" style="font-size:8pt; vertical-align: middle;">Notable - <%=score%></span>
                                            <%}else if(score >= 9){%>
                                                <span class="label label-success" style="font-size:8pt; vertical-align: middle;">Sobresaliente - <%=score%></span>
                                            <%}
                                        }%>
                                    </span>
                                </h3>
                                <hr/>
                                <!--DESCRIPCIN TUTORIAL-->
                                <div class="auto-resize">
                                    <p class="text justified"></p>
                                    <span class="hidden"><%=cursos.get(i).getDescripcion()%></span>
                                 </div>                    
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
<%      }
    } %>
    
<script>
    $(document).ready(function(){
        $('[data-toggle="tooltip"]').tooltip();   
    });
</script>
                             
<!--Footer-->
<%@ include file="/includes/footer.jsp" %>