function addLoadEvent(func) {
  var oldonload = window.onload;
  if (typeof window.onload !== 'function') {
    window.onload = func;
  } else {
    window.onload = function() {
      if (oldonload) {
        oldonload();
      }
      func();
    };
  }
}

function addResizeEvent(func) {
  var oldonresize = window.onresize;
  if (typeof window.onresize !== 'function') {
    window.onresize = func;
  } else {
    window.onload = function() {
      if (oldonresize) {
        oldonresize();
      }
      func();
    };
  }
}

