var baseLogFunction = console.log;
var c = document.getElementById("console");

console.log = function () {
    baseLogFunction.apply(console, arguments);

    var args = Array.prototype.slice.call(arguments);
    for (var i = 0; i < args.length; i++) {
        c.innerHTML += args[i] + "\n";
        c.scrollTop = c.scrollHeight;
    }
};

window.onerror = function (message, url, linenumber) {
    if(url !== "")
        console.log("&#9888; Javascript error: " + message + " on line " + linenumber + " for " + url);
    else
        console.log("&#9888; Javascript error: " + message + " on line " + linenumber);
};